Subject: Re: bug#3021: 23.0.92; MEM FULL on Windows after some VC operations

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Apr 2009 00:35:16 +0300

> From: Reiner Steib <[email-masked]>
> Date: Thu, 16 Apr 2009 21:29:27 +0200
> Cc: 
> 
> with the latest precompiled pretest version for Windows
> (http://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-23.0.92-bin-i386.zip),
> I got "!MEM FULL!" after doing some VC / PCL-CVS commands (viewing the
> revision log, diffs, ...) on rather big files.  The repository is on a
> network share, i.e. no pserver, ssh, ... involved.
> 
> As requested by Eli, I attach the information reported by
> Sysinternals' VMMap, both for the Emacs 23 process with "MEM FULL" and
> an Emacs 22.3 process on the same box.

Thanks.

> The laptop has 3 GB of memory.
> [...]
> Process: emacs.exe
> PID: 7068
> 
> Type        Size        Committed  Total WS  Private WS  Shareable WS  Shared WS  Blocks  
> Total       400.344     363.360    291.112   270.448     20.664        17.636

Unless I'm missing something, looks like something might be wrong with
how we discover available memory on Windows: how come a process with a
400MB memory footprint says MEM FULL on a 3GB machine?

FWIW, I had a couple of days ago a similar incident: a 380MB Emacs
process running on a 1.5GB machine claimed to have passed 75% of
available memory.